body, h1, p {
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background-color: #f7f7f7;
    color: #333;
    line-height: 1.6;
}

.main-content {
    min-height: 600px;
}

.header {
    background-color: #004d99;
    color: #fff;
    padding: 1rem 0;
    text-align: center;
}

.nav {
    background-color: #333;
    text-align: center;
    padding: 0.5rem 0;
}

.nav a {
    color: #fff;
    text-decoration: none;
    padding: 0.5rem 1rem;
    margin: 0 0.25rem;
    display: inline-block;
    transition: background-color 0.3s;
}

.nav a:hover {
    background-color: #555;
}

.main-content {
    text-align: center;
    padding: 2rem;
}

.footer {
    background-color: #004d99;
    color: #fff;
    text-align: center;
    padding: 1rem 0;
    bottom: 0;
    width: 100%;
}

@media (max-width: 600px) {
    .nav a {
        display: block;
        margin: 0.5rem 0;
    }
}

form {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    background: #fff;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

form label, form input, form button {
    margin: 0 0.5rem;
}

form label {
    flex-basis: 15%;
    min-width: 120px;
    text-align: left;
}

form input[type="text"],
form input[type="number"] {
    flex-basis: 20%;
    padding: 0.5rem;
    border: 1px solid #ddd;
    border-radius: 4px;
}

form button {
    padding: 0.5rem 1rem;
    background: #004d99;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

form button:hover {
    background: #003366;
}


@media (max-width: 1024px) {
    form {
        flex-wrap: wrap;
    }

    form label,
    form input[type="text"],
    form input[type="number"] {
        flex-basis: 100%;
        margin: 0.5rem 0;
    }

    form button {
        margin-top: 0.5rem;
    }
}


table {
    width: 100%;
    margin-top: 2rem;
    border-collapse: collapse;
}

table, th, td {
    border: 1px solid #ddd;
}

th, td {
    text-align: left;
    padding: 8px;
}

th {
    background-color: #f2f2f2;
}

td {
    background-color: #fff;
}

td.actions {
    text-align: center;
}

td.actions button {
    padding: 5px 10px;
    margin-right: 5px;
    background: #007bff;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

td.actions button:hover {
    background: #0056b3;
}

@media (max-width: 768px) {
    .main-content {
        padding: 1rem;
    }

    form {
        padding: 0.5rem;
    }

    form input[type="text"],
    form input[type="number"],
    form button {
        width: calc(100% - 10px);
    }

    .nav a {
        margin: 0.5rem 0;
    }
}

#editModal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
}

.modal-content {
    position: relative;
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
}


.close {
    color: #aaa;
    position: absolute;
    top: -10px;
    right: 1px;
    font-size: 26px;
    font-weight: bold;
    cursor: pointer;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

@keyframes highlight {
    0%, 100% { background-color: inherit; }
    50% { background-color: #28a745; }
}

.highlighted td {
    animation: highlight 1s ease-out;
}


#paymentCalculatorForm label{
    text-align: center;
}


#paymentCalculatorForm input[type="date"],
#paymentCalculatorForm input[type="time"],
#paymentCalculatorForm select {
    width: 100%;
    padding: 10px;
    margin-top: 5px;
    margin-bottom: 15px;
    border: 1px solid #ddd;
    border-radius: 4px;
    box-sizing: border-box;
}

#paymentResult {
    width: 500px;
    padding: 20px;
    margin: 15px auto;
    background-color: #f9f9f9;
    border: 1px solid #dcdcdc;
    border-radius: 5px;
    color: #333;
    font-size: 1.2rem;
    box-sizing: border-box;
}

#pay-button {
    display: none;
    width: 200px;
    padding: 10px 15px;
    margin: 10px auto;
    background-color: #4CAF50;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1rem;
    text-align: center;
    text-decoration: none;
    box-sizing: border-box;
}

#pay-button:hover {
    background-color: #45a049;
}
